## lintian-brush 0.6

=== Makefile ===
check:: style testsuite

style::
	flake8

testsuite::
	python3 setup.py test

README.md::
	./buildtools/update-readme.py

=== debian/changelog ===
lintian-brush (0.6) unstable; urgency=medium

  * useless-autoreconf-build-depends: Actually require changes, don't
    just update debhelper build-depends.
  * Add support for a certainty tag in fixer output.
  * Fix compatibility with newer versions of Dulwich.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 05 Nov 2018 19:31:02 +0000

lintian-brush (0.5) unstable; urgency=medium

  * Bump debhelper version to 11.
  * Hide tracebacks by default, but report list of failed fixers.
  * Use secure copyright file specification URI.
  * Bump to standards version 4.2.1
  * file-contains-trailing-whitespace: Also trim empty lines from the
    ends of files.
  * Trim trailing whitespace.
  * debian/control: Tweak long description a bit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Nov 2018 16:50:03 +0000

lintian-brush (0.4) unstable; urgency=medium

  * (Build-)Depend at least on a version of python3-breezy that has some
    common Git issues fixed.
  * Add support for fixing useless-autoreconf-build-depends.
  * Add support for removing obsolete pyversions files.
  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Nov 2018 00:50:34 +0000

lintian-brush (0.3) experimental; urgency=medium

  * Fix entry point for main script.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 30 Oct 2018 19:58:41 +0000

lintian-brush (0.2) experimental; urgency=medium

  * d/docs: Ship documentation files.
  * d/control: Add .git suffix to Vcs-Git field.
  * lintian-brush: Reduce chattiness when no changes are being made.
  * lintian-brush: Add --verbose option.
  * lintian-brush: Fix running of specific fixers.
  * d/control: Add missing dependency on python3-dulwich. Closes: #912219
  * lintian-brush: Obey git global and per-tree committer settings.
  * lintian-brush: Rather than stripping comments, refuse to edit control
    files where formatting can not be preserved.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 30 Oct 2018 00:43:15 +0000

lintian-brush (0.1) experimental; urgency=medium

  * Initial release. (Closes: #911016)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Oct 2018 11:21:39 +0100

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               dos2unix,
               python3-all,
               python3-breezy (>= 3.0.0~bzr7140),
               python3-breezy.tests,
               python3-dulwich (>= 0.19.7),
               python3-debian,
               python3-setuptools
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: all
Depends: dos2unix,
         python3-breezy (>= 3.0.0~bzr7140),
         python3-debian,
         python3-dulwich (>= 0.19.7),
         ${misc:Depends},
         ${python3:Depends}
Recommends: lintian
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 30
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.

## lintian-brush 0.7

=== debian/changelog ===
lintian-brush (0.7) unstable; urgency=medium

  * Add fixer for package-needs-versioned-debhelper-build-depends.
  * Add fixer for package-uses-deprecated-debhelper-compat-version
  * Add support for fixing debhelper-but-no-misc-depends.
  * Add a --diff option.
  * Don't consider an empty directory to be a pending change in a git
    repository. Closes: #914038

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 20 Nov 2018 11:44:04 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                dos2unix,
                python3-all,
-               python3-breezy (>= 3.0.0~bzr7140),
+               python3-breezy (>= 3.0.0~bzr7199-1),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-debian,
@@ -18,7 +18,7 @@
 Package: lintian-brush
 Architecture: all
 Depends: dos2unix,
-         python3-breezy (>= 3.0.0~bzr7140),
+         python3-breezy (>= 3.0.0~bzr7199-1),
          python3-debian,
          python3-dulwich (>= 0.19.7),
          ${misc:Depends},

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests
Restrictions: allow-stderr

## lintian-brush 0.9

=== Makefile ===
check:: style testsuite

.PHONY: style testsuite unsupported

style::
	flake8

testsuite::
	python3 setup.py test

README.md::
	PYTHONPATH=. ./buildtools/update-readme.py

unsupported:
	lintian-info --list-tags > lintian-tags
	PYTHONPATH=. python3 -m lintian_brush --list-tags 2> lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

=== debian/changelog ===
lintian-brush (0.9) unstable; urgency=medium

  * Add CI configuration for Salsa.
  * Add fixer for unnecessary-team-upload.
  * Don't attempt to remove python*-*-dbg packages; they include _d.so
    files that are not in -dbgsym packages.
  * Don't traceback when no .git directory is found.
  * Add fixer for public-upstream-key-not-minimal.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 04 Dec 2018 23:12:14 +0000

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-debian,
-               python3-setuptools
+               python3-setuptools,
+               gpg
 Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
 
 Package: lintian-brush
 Architecture: all
-Depends: dos2unix,
-         python3-breezy (>= 3.0.0~bzr7199-1),
+Depends: python3-breezy (>= 3.0.0~bzr7199-1),
          python3-debian,
          python3-dulwich (>= 0.19.7),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian
+Recommends: lintian, dos2unix, gpg
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 30
  common lintian issues in Debian packages.

=== tests/package-uses-deprecated-debhelper-compat-version/compat/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper (>= 11~),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.10

=== debian/changelog ===
lintian-brush (0.10) unstable; urgency=medium

  * Add a (inefficient) --dry-run option. Closes: #915977
  * Add --update-changelog option to force updating of changelog.
  * Add support for systemd-service-file-pidfile-refers-to-var-run.
    Closes: #917565
  * Don't use functionality that is not available in stable by default;
    add a --modern flag to enable use of unstable-only functionality
    (such as debhelper compat levels).
  * Bump debhelper from old 11 to 12.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 15 Dec 2018 17:18:50 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                dos2unix,
                python3-all,
-               python3-breezy (>= 3.0.0~bzr7199-1),
+               python3-breezy (>= 3.0.0~bzr7199),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
+               python3-distro-info,
                python3-debian,
                python3-setuptools,
                gpg
@@ -18,9 +19,10 @@
 
 Package: lintian-brush
 Architecture: all
-Depends: python3-breezy (>= 3.0.0~bzr7199-1),
+Depends: python3-breezy (>= 3.0.0~bzr7199),
          python3-debian,
          python3-dulwich (>= 0.19.7),
+         python3-distro-info,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: lintian, dos2unix, gpg

## lintian-brush 0.11

=== debian/changelog ===
lintian-brush (0.11) unstable; urgency=medium

  [ Jeroen Dekkers ]
  * Add dependency on devscripts. Closes: #919217

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Jan 2019 19:11:40 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
 
 Package: lintian-brush
 Architecture: all
-Depends: python3-breezy (>= 3.0.0~bzr7199),
+Depends: devscripts,
+         python3-breezy (>= 3.0.0~bzr7199),
          python3-debian,
          python3-dulwich (>= 0.19.7),
          python3-distro-info,

## lintian-brush 0.12

=== debian/changelog ===
lintian-brush (0.12) unstable; urgency=medium

  * Add --identity flag that shows user identity.
  * Fall back to breezy identity and gecos field if no git identity is
    set. Closes: #921241
  * Make gpg more quiet when manipulating keyring files.
  * Require new Breezy with improved handling of submodule references
    in .git files. Closes: #921240

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Feb 2019 05:56:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                dos2unix,
                python3-all,
-               python3-breezy (>= 3.0.0~bzr7199),
+               python3-breezy (>= 3.0.0~bzr7268-1),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
@@ -20,7 +20,7 @@
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.0.0~bzr7199),
+         python3-breezy (>= 3.0.0~bzr7268-1),
          python3-debian,
          python3-dulwich (>= 0.19.7),
          python3-distro-info,

## lintian-brush 0.13

=== debian/changelog ===
lintian-brush (0.13) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Don't display error when debian/compat is missing. Closes: #921972

  [ Jelmer Vernooĳ ]
  * Allow fixers to provide an empty description when there are no
    changes.
  * Add fixer script for debian-source-options-has-custom-compression-
    settings.
  * Add build-depends-on-obsolete-package fixer. Currently just deals
    with dh-systemd => debhelper upgrades.
  * Bump standards version to 4.3.0 (no changes).
  * public-upstream-key-not-minimal: Export public PGP keys as armored
    text.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 12 Feb 2019 22:11:32 +0000

## lintian-brush 0.13.1

=== debian/changelog ===
lintian-brush (0.13.1) unstable; urgency=medium

  * Avoid creating commit for already minimal key. Closes: #922541
  * Don't export expired signatures; these may still be useful, and
    excluding them will break the tests in the future.
    Fixes reproducible builds.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Feb 2019 15:11:25 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-debian,
                python3-setuptools,
                gpg
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix
Restrictions: allow-stderr

=== tests/xs-testsuite-field-in-debian-control/autopkgtest/in/debian/control ===
Source: lintian-brush
XS-Testsuite: autopkgtest

Package: lintian-brush
Description: Testing
 Test test

## lintian-brush 0.16

=== debian/changelog ===
lintian-brush (0.16) unstable; urgency=medium

  * Don't export expired signatures; these may still be useful, and
    excluding them will break the tests in the future.
  * Migrate debian/compat files to debhelper-compat build-depends for
    debhelper >= 11.
  * dep5-file-paragraph-references-header-paragraph: Don't print an
    error message when the copyright file does not use DEP5.
  * Add fixer debian-watch-file-is-missing.
  * Add a (hidden) --minimum-certainty option.
  * Add experimental fixer for upstream-metadata-file-is-missing.
  * Also check homepage field to guess at upstream repository.
  * Upload to unstable.

  [ Dmitry Bogatov ]
  * Add fixer for patch-file-present-but-not-mentioned-in-series.
    Closes: #928811
  * Try to replace 'http:' with 'https:' in debian/watch by validating
    using the uscan report. Closes: #928810

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 23 Feb 2019 03:45:54 +0000

lintian-brush (0.15) experimental; urgency=medium

  * Add fixer for field-name-typo-in-dep5-copyright.
  * Add fixer for invalid-short-name-in-dep5-copyright.
  * Add fixer for dep5-file-paragraph-references-header-paragraph.
  * Add fixer for old-fsf-address-in-copyright-file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 19 Feb 2019 02:11:38 +0000

lintian-brush (0.14) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Add a fixer for out-of-date-standards-version. Closes: #921971

  [ Jelmer Vernooĳ ]
  * Extend out-of-date-standards-version fixer to only change
    the standards version when the upgrade is known to not
    introduce policy violations.
  * Add fixer for debian-changelog-file-contains-obsolete-user-emacs-
    settings.
  * Add a fixer for renamed-tag.
  * Fix my e-mail address in debian/copyright.
  * Report fixer duration when --verbose is specified.
  * Hide Python class names in verbose output.
  * Add fixer that removes empty debian/source/options files (no
    matching Lintian tag).
  * Add fixer that removes empty debian/patches/series (no matching
    lintian tag).
  * Support updating debhelper-compat version in packages that use the
    debhelper-compat relation in Build-Depends.
  * Add fixer for maintainer-script-without-set-e.
  * Add fixer for debian-pycompat-is-obsolete.
  * Add fixer for public-upstream-keys-in-multiple-locations.
  * Add fixer for orphaned-package-should-not-have-uploaders.
  * Add fixer for build-depends-on-build-essential.
  * Add fixer for possible-missing-colon-in-closes.
  * Add fixer for debian-tests-control-autodep8-is-obsolete and debian-
    tests-control-and-control-autodep8. Closes: #917563
  * Avoid creating commit for already minimal key. Closes: #922541
  * Add fixer for global-files-wildcard-not-first-paragraph-in-dep5-
    copyright.
  * Add fixer for obsolete-field-in-dep5-copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 16 Feb 2019 15:11:25 +0000

## lintian-brush 0.17

=== debian/changelog ===
lintian-brush (0.17) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Support policy version bumps from 4.3.0 to 4.4.0. Closes: #932314

  [ Jelmer Vernooĳ ]
  * Guess (with low certainty) repositories from README.
  * Add support for reading upstream metadata from META.json.
  * Add support for reading upstream metadata from META.yml files.
  * Add support for reading upstream metadata from DOAP files.
  * Add (hidden) --allow-reformatting flag.
  * Add support for Repository-Browse.
  * upstream-metadata-file-is-missing: Derive Repository-Browse from
    Repository when possible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 24 Jul 2019 22:12:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,30 @@
                dh-python,
                dos2unix,
                python3-all,
-               python3-breezy (>= 3.0.0~bzr7268-1),
+               python3-breezy (>= 3.0.0),
                python3-breezy.tests,
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
+               python3-levenshtein,
+               python3-pkginfo,
                python3-setuptools,
+               python3-ruamel.yaml,
                gpg
 Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
-Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
+Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git -b unstable
+Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush/branches/unstable
 
 Package: lintian-brush
 Architecture: all
 Depends: devscripts,
-         python3-breezy (>= 3.0.0~bzr7268-1),
+         python3-breezy (>= 3.0.0),
          python3-debian,
          python3-dulwich (>= 0.19.7),
          python3-distro-info,
+         python3-levenshtein,
+         python3-pkginfo,
+         python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: lintian, dos2unix, gpg

=== tests/dm-upload-allowed-is-obsolete/simple/in/debian/control ===
Source: lintian-brush
DM-Upload-Allowed: yes

Package: lintian-brush
Description: Testing
 Test test

=== tests/wrong-debian-qa-group-name/simple/out/debian/control ===
Source: lintian-brush
Maintainer: Debian QA Group <packages@qa.debian.org>

Package: lintian-brush
Description: Testing
 Test test

## lintian-brush 0.18

=== debian/changelog ===
lintian-brush (0.18) unstable; urgency=medium

  * Fix copyright fields before parsing with python-debian.
  * Add fixer for dh-clean-k-is-deprecated.
  * Handle missing bugtracker/web subkey for META.json files.
  * Upgrade debian/rules in some cases when updating to debhelper 12.
  * Don't remove debian/patches/README.
  * Use the 'Source' field in copyright files when looking for possible
    upstream repositories.
  * Don't worry about preserving all formatting for YAML files; comments
    and indentation are already preserved.
  * Allow stripping trailing whitespace from debian/copyright when modifying
    it.
  * Don't make homepage-field-uses-insecure-uri fixer fail when it can't
    access homepage over HTTPS. Closes: #933682

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 25 Jul 2019 22:05:12 +0000

=== tests/package-uses-deprecated-debhelper-compat-version/cdbs/out/debian/rules ===
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

all:
	dh_prep
	dh --with=blah --buildsystem=pybuild

override_dh_install:
	dh_install
	dh_missing --fail-missing

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/in/debian/rules ===
all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils


override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/out/debian/rules ===
all:
	dh_prep
	dh --with=blah --buildsystem=pybuild


override_dh_install:
	dh_install
	dh_missing --fail-missing

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== tests/out-of-date-standards-version/4.4.0/in/debian/control ===
Source: lintrian-brush
Standards-version: 4.3.0
Build-Depends: debhelper-compat (= 11)

=== tests/out-of-date-standards-version/4.4.0/out/debian/control ===
Source: lintrian-brush
Standards-version: 4.4.0
Build-Depends: debhelper-compat (= 11)

=== tests/package-uses-deprecated-debhelper-compat-version/compat/out/debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
- debhelper (>= 11~),
  pkg-config,
- uuid-dev
+ uuid-dev,
+ debhelper-compat (= 12)
 Standards-Version: 4.2.0
 
 Package: f2fs-tools

## lintian-brush 0.20

=== debian/changelog ===
lintian-brush (0.20) unstable; urgency=medium

  * Fix lintian-brush when pyinotify is not installed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Aug 2019 20:28:30 +0000

lintian-brush (0.19) unstable; urgency=medium

  * Run python fixers in-process, to avoid Python interpreter and module
    loading overhead. This provides a ~30% performance improvement for
    some packages.
  * Add fixer for debhelper-tools-from-autotools-dev-are-deprecated.
  * Set User-Agent when sending HTTP requests.
  * Add fixer for vcs-obsolete-in-debian-infrastructure.
  * Check that the tree is clean before running fixers, rather than
    before each fixer.
  * Use inotify (where available) to track changes to the tree as all fixers
    are processed. This significantly speeds up runs on
    large repositories. Closes: #933777
  * Don't add both debhelper-compat and debhelper build-depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Aug 2019 20:22:35 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-dulwich (>= 0.19.7),
                python3-distro-info,
                python3-debian,
+               python3-pyinotify [linux-any],
                python3-levenshtein,
                python3-pkginfo,
                python3-setuptools,
@@ -32,7 +33,7 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg
+Recommends: lintian, dos2unix, gpg, python3-pyinotify
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 30
  common lintian issues in Debian packages.

## lintian-brush 0.21

=== debian/changelog ===
lintian-brush (0.21) unstable; urgency=medium

  * Use vcswatch-like regex to find salsa.debian.org.
  * Support suggesting Vcs-* URLs based on vcswatch.
  * Avoid adding unnecessary spacing when removing first dependency from
    a control field.
  * Don't print confusing warning message about directories under
    debian/patches/.
  * Add fixer for vcs-field-bitrotted.
  * Add fixer for vcs-field-not-canonical.
  * Add fixer for vcs-field-mismatch.
  * debhelper-tools-from-autotools-dev-are-deprecated: Don't bump
    debhelper version when not removing autotools-dev usage.
  * Sort paths so that directories get added before the files they
    contain (on VCSes where it matters).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Aug 2019 13:06:04 +0000

=== tests/package-uses-deprecated-debhelper-compat-version/cdbs/out/debian/rules ===
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

all:
	dh_clean -k
	dh --with=blah --buildsystem=python_distutils

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== tests/vcs-field-bitrotted/python/in/debian/control ===
Source: lintian-brush
Maintainer: Bla Team <pkg-bla@lists.alioth.debian.org>
Vcs-Git: http://anonscm.debian.org/git/bla-team/modules/python-bla

Package: lintian-brush
Description: Testing
 Test test

=== tests/vcs-field-bitrotted/python/out/debian/control ===
Source: lintian-brush
Maintainer: Bla Team <pkg-bla@lists.alioth.debian.org>
Vcs-Git: https://salsa.debian.org/bla-team/modules/python-bla
Vcs-Browser: https://salsa.debian.org/bla-team/modules/python-bla

Package: lintian-brush
Description: Testing
 Test test

## lintian-brush 0.22

=== debian/changelog ===
lintian-brush (0.22) unstable; urgency=medium

  * Ignore github URLs with just a single paths component when looking
    for repo URLs.
  * Support upgrading from --no-restart-on-upgrade
  * Fix guessing from launchpad URLs.
  * Add fixer for debian-watch-file-uses-deprecated-githubredir.
  * Don't attempt to upgrade cdbs packages to anything over debhelper
    10.
  * Don't complain about reformatting issues if no changes have been
    made.
  * Support removing upstart conffiles as part of upgrade to debhelper
    11.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Aug 2019 20:38:35 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg
 Description: automatically fix lintian problems
  This package contains a set of scripts that can automatically fix more than 30
  common lintian issues in Debian packages.

## lintian-brush 0.23

=== debian/changelog ===
lintian-brush (0.23) unstable; urgency=medium

  * In debian-source-options-has-custom-compression-settings.py, don't
    crash on options that are not key/value.
  * Add fixer for comma-separated-files-in-dep5-copyright.
  * Disable strict parsing of copyright file.
  * Support reading upstream metadata from configure.
  * Add fixer for libmodule-build-perl-needs-to-be-in-build-depend.
  * Add fixer for space-in-std-shortname-in-dep5-copyright.
  * Add support for reading R DESCRIPTION files.
  * Add fixer for no-homepage-field.
  * Add fixer for debian-tests-empty-control.
  * Add fixer for homepage-in-binary-package.
  * Fix Git URLs with the branch name in the URL rather than with -b
    argument.
  * Add fixer for maintainer-also-in-uploaders.
  * Ignore comments in debian/source/options.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Aug 2019 08:45:13 +0000

## lintian-brush 0.26

=== debian/changelog ===
lintian-brush (0.26) unstable; urgency=medium

  * quilt-series-but-no-build-dep: only add quilt dependency if one does
    not yet exist.
  * vcs-field-bitrotted: do not add duplicate -b arguments.
  * Ignore empty watch files, rather than printing an error.
  * configure parser: Ignore invalid encoding characters in lines that
    are ignored anyway.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 25 Aug 2019 22:13:26 +0000

lintian-brush (0.25) unstable; urgency=medium

  * Support pear 2.1 packages.
  * Support labels in the URLS field in DESCRIPTION files.
  * Improve guessing of repository URLs from GitLab URLs.
  * Use fake times for GPG operations, to make the testsuite runs
    reproducible.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 24 Aug 2019 14:24:56 +0000

lintian-brush (0.24) unstable; urgency=medium

  * Add fixer for quilt-series-but-no-build-dep.
  * Add fixer for unused-build-dependency-on-cdbs.
  * Add fixer for debian-rules-uses-unnecessary-dh-argument.
  * Rather than setting Name/Contact fields in debian/upstream/metadata,
    set them in debian/copyright.
  * Remove obsolete Name/Contacts fields from debian/upstream/metadata,
    at least for now. See https://lists.debian.org/debian-
    devel/2019/08/msg00408.html for background.
  * Ignore empty variables when parsing configure file.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 22 Aug 2019 19:50:48 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
          ${python3:Depends}
 Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg
 Description: automatically fix lintian problems
- This package contains a set of scripts that can automatically fix more than 30
+ This package contains a set of scripts that can automatically fix more than 70
  common lintian issues in Debian packages.
  .
  It comes with a wrapper script that invokes the scripts, updates

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/in/debian/rules ===
--- 
+++ 
@@ -9,3 +9,8 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
+
+override_dh_installinit:
+	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
+	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .
+	dh_systemd_enable -pracoon

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/out/debian/rules ===
--- 
+++ 
@@ -10,3 +10,8 @@
 override_dh_clean:
 	dh_clean -O--buildsystem=pybuild
 	rm -rf build
+
+override_dh_installinit:
+	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
+	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .
+	dh_installsystemd -pracoon

=== tests/package-uses-deprecated-debhelper-compat-version/drop-upstart/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 pkg-config,
 uuid-dev,
 debhelper-compat (= 12)
Standards-Version: 4.2.0

Package: blah
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.38

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)
+
 check:: style testsuite
 
 .PHONY: style testsuite unsupported
@@ -15,3 +17,12 @@
 	lintian-info --list-tags > lintian-tags
 	PYTHONPATH=. python3 -m lintian_brush --list-tags 2> lintian-brush-tags
 	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags
+
+update-readme:
+	brz diff README.md
+	$(MAKE) README.md
+	brz diff README.md || brz commit -m "Update list of fixers in README.md." README.md
+
+release: check update-readme
+	./setup.py sdist
+	twine upload --sign dist/lintian-brush-$(VERSION).tar.gz

=== debian/changelog ===
lintian-brush (0.38) unstable; urgency=medium

  * Add missing dependency on libdebhelper-perl for autopkgtest.
  * Add support for bumping to standards version 4.4.1.
  * Support replacing deprecated --same-arch with --arch.
  * copyright-continued-lines-with-space: allow copyright file to be
    missing.
  * Fix test_changelog reproducibility.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Oct 2019 15:21:53 +0000

lintian-brush (0.37) unstable; urgency=medium

  * package-uses-deprecated-debhelper-compat-version: Add
    --buildsystem=pybuild when upgrading Python packages to debhelper 12.
  * Add various more aliases for salsa team names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 18 Oct 2019 17:34:35 +0000

lintian-brush (0.36) unstable; urgency=medium

  * debian-control-has-unusual-field-spacing: don't update files with
    unknown template types.
  * Support parsing some more format salsa URLs.
  * Add pkg-sugar, pkg-phototools, pkg-netmeasure, pkg-hamradio, pkg-sass
    alias.
  * Ignore broken package.xml files.
  * copyright-continued-lines-with-space: Ignore missing copyright
    files.
  * debian-control-has-obsolete-dbg-package: support cdbs if dbg package
    is added with debhelper.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Oct 2019 09:34:25 +0000

lintian-brush (0.35) unstable; urgency=medium

  * Fix handling of dictionaries for the 'repository' field in META.yml.
  * debian-control-has-obsolete-dbg-package: Don't bump debhelper
    version unless there are -dbg packages.
  * Add fixer debhelper-compat-wrong-field.
  * Support updating templated debian/control files that use cdbs
    template.
  * Cope with warnings from dch that require confirmation. Closes:
    #941767
  * unused-build-dependency-on-cdbs: Don't error out if there is no
    Build-Depends field.
  * debian-rules-uses-unnecessary-dh-argument: Cope with non-debhelper
    packages.
  * Cope with comments in debian/compat.
  * maintainer-also-in-uploaders: Support removing only item in the
    list.
  * Add build-dependency on devscripts, for dch tests.
  * debian-watch-file-is-missing: fall back to running setup with
    python2 if python3 does not work.
  * Add fixer copyright-continued-lines-with-space.
  * Ignore symlinks when updating service files.
  * debian-control-has-obsolete-dbg-package: support --dbg-package
    arguments in dh lines.
  * out-of-date-standards-version: don't update standards version if
    none is set.
  * package.json: bugs field can be a dict.
  * upstream-metadata: Don't fail when META.yml file fails to parse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 Oct 2019 19:59:21 +0000

lintian-brush (0.34) unstable; urgency=medium

  * Add support for renamed tag: rules-requires-root-implicitly -> rules-
    requires-root-missing.
  * unused-license-paragraph-in-dep5-copyright: Ignore
    NotMatchineReadableError.
  * vcs-field-bitrotted: don't include URLs that vcswatch reports as
    errorring.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 04 Oct 2019 02:02:36 +0000

lintian-brush (0.33) unstable; urgency=medium

  * Support multi-line git commands in README files.
  * Fix existing repository URLs in debian/upstream/metadata.
  * Add basic bash completion support. Closes: #939132
  * Set Rules-Requires-Root field.
  * Add basic zsh completion support.
  * Add fixer for older-source-format.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 04 Oct 2019 00:43:58 +0000

lintian-brush (0.32) unstable; urgency=medium

  * Add flag to disable interaction with external services.
  * Don't print error messages when unable to update non-machine-
    readable copyright files.
  * Support postgresql debian/control.in templates.
  * Add fixer for init.d-script-needs-depends-on-lsb-base.
  * Add fixer for unused-license-paragraph-in-dep5-copyright.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 30 Sep 2019 00:03:44 +0000

lintian-brush (0.31) unstable; urgency=medium

  * debian-rules-sets-dpkg-architecture-variable: actually drop variable
    when include is already present.
  * debian-changelog-has-wrong-day-of-week: Properly ignore unparseable
    dates.
  * Preserve ordering when replacing a debhelper dependency with a
    debhelper-compat one. Closes: #939077

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Sep 2019 14:31:49 +0000

lintian-brush (0.30) unstable; urgency=medium

  * Show tree status when there are pending changes and --verbose is on.
  * Don't complain about generated files unless there is a change that
    can be made to a file.
  * Support updating generated GNOME control files.
  * Add basic support for optional debian/lintian-brush.conf
    configuration file in packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Sep 2019 01:20:39 +0000

lintian-brush (0.29) unstable; urgency=medium

  * Fix support for newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Sep 2019 20:28:15 +0000

lintian-brush (0.28) unstable; urgency=medium

  * Add fixer for obsolete-runtime-tests-restriction.
  * Add fixer for debian-changelog-has-wrong-day-of-week.
  * Seperately report when fixers can't preserve formatting.
  * field-name-typo-in-dep5-copyright: Fix preservation of fields when
    the only change is in the case.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 Sep 2019 02:34:58 +0000

lintian-brush (0.27) unstable; urgency=medium

  * Add fixer for package-contains-linda-overrides.
  * Add fixer for excessive-priority-for-library-package.
  * Add fixer for debian-rules-sets-dpkg-architecture-variable.
  * Add fixers for missing-built-using-field-for-golang-package and
    built-using-field-on-arch-all-package.
  * Add fixer for debian-control-has-unusual-field-spacing.
  * Support running in packages that are not at the repository root.
  * Print an error message if a fixer could not be found. Closes:
    #939131
  * Update standards version, no changes needed.
  * Set debhelper-compat version in Build-Depends.


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: bash-completion,
+               devscripts,
                dh-python,
                dos2unix,
                python3-all,
@@ -16,8 +17,10 @@
                python3-pkginfo,
                python3-setuptools,
                python3-ruamel.yaml,
-               gpg
-Standards-Version: 4.3.0
+               gpg,
+               debhelper-compat (= 12)
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git -b unstable
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush/branches/unstable
 
@@ -33,9 +36,10 @@
          python3-ruamel.yaml,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg
+Recommends: lintian, dos2unix, gpg, python3-pyinotify, python3-asyncpg, libdebhelper-perl
+Suggests: gnome-pkg-tools, postgresql-common
 Description: automatically fix lintian problems
- This package contains a set of scripts that can automatically fix more than 70
+ This package contains a set of scripts that can automatically fix more than 80
  common lintian issues in Debian packages.
  .
  It comes with a wrapper script that invokes the scripts, updates

=== debian/rules ===
#!/usr/bin/make -f

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

%:
	dh $* --with python3,bash_completion --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/in/debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build
 
+override_dh_install_changelogs:
+	dh_install_changelogs -s
+
 override_dh_installinit:
 	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
 	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .

=== tests/package-uses-deprecated-debhelper-compat-version/with-rules/out/debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	dh_clean -O--buildsystem=pybuild
 	rm -rf build
 
+override_dh_install_changelogs:
+	dh_install_changelogs -a
+
 override_dh_installinit:
 	dh_installinit -R -pracoon -- start 40 S . stop 07 0 1 6 .
 	dh_installinit -R -pipsec-tools --name=setkey --no-start -- start 14 S .

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl
Restrictions: allow-stderr

=== tests/built-using-for-golang/add/out/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Description: blah
 blah
Built-Using: ${misc:Built-Using}

=== tests/package-uses-deprecated-debhelper-compat-version/drop-upstart/out/debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
+ debhelper-compat (= 12),
  pkg-config,
- uuid-dev,
- debhelper-compat (= 12)
+ uuid-dev
 Standards-Version: 4.2.0
 
 Package: blah

=== tests/upstream-metadata-file-is-missing/go/in/debian/control ===
Source: golang-github-blah-blah
Section: devel
Priority: optional
Standards-Version: 4.2.0
Maintainer: Some Maintainer <example@example.com>
Build-Depends: debhelper (>= 11~),
               dh-golang,
               golang-any
Homepage: https://github.com/j-keck/arping
XS-Go-Import-Path: github.com/blah/blah
Testsuite: autopkgtest-pkg-go

Package: golang-github-blah-blah
Architecture: all
Depends: ${misc:Depends}
Description: blah blah
 blah blah

## lintian-brush 0.39

=== debian/changelog ===
lintian-brush (0.39) unstable; urgency=medium

  * Set somewhat more aggressive timeout for HTTP requests.
  * Properly cope with trailing commas when adding dependencies.
  * Replace spaces with dashes in license ids, for all SPDX license
    names. Closes: #942722
  * Update standards version to 4.4.1, no changes needed.
  * Remove unnecessary 'git' usernames from salsa and github URLs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Oct 2019 02:13:20 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-ruamel.yaml,
                gpg,
                debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git -b unstable
 Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush/branches/unstable

## lintian-brush 0.40

=== debian/changelog ===
lintian-brush (0.40) unstable; urgency=medium

  * Fix stripping the last argument to --with.
  * Set somewhat more aggressive timeout for HTTP requests.
  * Properly cope with trailing commas when adding dependencies.
  * Replace spaces with dashes in license ids, for all SPDX license
    names. Closes: #942722
  * Update standards version to 4.4.1, no changes needed.
  * Remove unnecessary 'git' usernames from salsa and github URLs.
  * Fix including branch names for GitHub URLs.
  * Don't remove Built-Using variables that are unrelated to go.
  * Support more complex alioth URLs.
  * Support updating non-trivial debhelper dependencies.
  * init.d-script-needs-depends-on-lsb-base: don't add lsb-base
    dependency if one already exists.
  * Migrate python_distutils arguments to pybuild.
  * Fix debhelper argument order when upgrading to debhelper 12.
  * Don't attempt to upgrade to debhelper X when already on X.
  * Make sure dpkg architecture flags are not included after custom
    assignments.
  * patch-file-present-but-not-mentioned-in-series: Don't remove files
    that start with 'README'.
  * Don't upgrade beyond debhelper 10 when configure doesn't provide --
    runstatedir and autoreconf is explicitly disabled.
  * Properly handle empty lines when updating makefiles.
  * Fixup extra : in the netloc part of git URLs.
  * upstream-metadata-file-is-missing: Don't drop Name and Copyright
    from debian/upstream/metadata if debian/copyright is not machine-
    readable.
  * Eliminate unnecessary overrides in debian/rules. Closes: #944530
  * upstream-metadata-file: Attempt to set Bug-Database and Bug-Submit.
  * Put dh_missing calls into their own rule. Closes: #944531
  * Support parsing continuation lines in makefiles. Closes: #942594
  * Properly migrate --fail-missing on default dh rule.
  * Replace unicode line breaks in debian/copyright with standard ones.
  * Properly report when fixing uses-debhelper-compat-file.
  * Handle conditionals in makefiles. Closes: #945370
  * Add fixer for debian-rules-contains-unnecessary-get-orig-source-
    target.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Nov 2019 03:02:52 +0000

=== tests/uses-debhelper-compat-file/simple/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 11),
 debhelper (>= 11),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: blah
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

## lintian-brush 0.43

=== debian/changelog ===
lintian-brush (0.43) unstable; urgency=medium

  * Add fixer for font-package-not-multi-arch-foreign.
  * Actually install lintian-brush.conf(5) manpage.
  * Don't drop unnecessary overrides unless making other changes.
  * Disable credentials prompting when probing VCS URLs. Closes: #942648

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 28 Nov 2019 08:43:50 +0000

lintian-brush (0.41) unstable; urgency=medium

  * Probe Homepage URL for VCS attributes.
  * Fix finding of upstream repository for SourceForge projects.
  * Pick up GitHub issues locations from README.
  * Don't leave behind backup files when comparing uscan watch files.
  * dh-quilt-addon-but-quilt-source-format: only drop quilt if package
    is on the 3.0 (quilt) format.
  * Add lintian-brush.conf(5) manpage.
  * Add an update-changelog variable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 27 Nov 2019 04:36:35 +0000

## lintian-brush 0.44

=== debian/changelog ===
lintian-brush (0.44) unstable; urgency=medium

  * Cope with continuations at the end of debian/rules files.
  * Add fixer for debian-rules-not-executable.
  * Add (for now) hidden --compat-release option.
  * Don't strip comments when minimizing upstream keys. Closes: #942719
  * Report lintian tag fixed for tab-in-licence-text.
  * Add fixer for wrong-section-according-to-package-name.
  * Look for [dch] section in gbp.conf when guessing whether to update
    changelog.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Dec 2019 03:22:22 +0000

=== debian/tests/control ===
Tests: tool-testsuite
Depends: lintian-brush, python3-breezy.tests, gpg, dos2unix, libdebhelper-perl, lintian
Restrictions: allow-stderr

=== tests/excessive-priority-for-library-package/implied/out/debian/control ===
Source: bzip2
Priority: required

Package: libbzip2
Section: libs
Description: blah blah
 blah
Priority: optional

=== tests/font-package-not-multi-arch-foreign/simple/out/debian/control ===
Source: fonts-blah
Section: fonts
Priority: extra
Maintainer: Joe Example <joe@example.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0

Package: fonts-blah
Architecture: all
Depends: ${misc:Depends}
Provides: ttf-blah
Conflicts: ttf-blah (<= 0.090709+0-1), iceweasel (<< 3.5)
Replaces: ttf-blah (<= 0.090709+0-1)
Description: TeX fonts to display blah pages
 blah uses some TeX fonts to render mathematical contents in web pages
 so blah pages should be displayed much better with this package.
Multi-Arch: foreign

Package: ttf-blah
Architecture: all
Depends: fonts-blah, ${misc:Depends}
Description: transition dummy package.
 This dummy package is provided for a smooth transition from the
 previous ttf-blah package to the fonts-blah package.
 .
 It may be safely removed after installation.

=== tests/wrong-section-according-to-package-name/node/out/debian/control ===
Source: requirejs-text
Section: web

Package: node-requirejs-text
Architecture: all
Depends: ${misc:Depends}, nodejs
Description: RequireJS/AMD loader plugin for text resources
 This plugins provides a text.js, a plugin for requirejs that adds support
 for loading text resources.
 .
 Known to work in RequireJS, but should work in other AMD loaders that support
 the same loader plugin API.
Section: javascript

## lintian-brush 0.45

=== debian/changelog ===
lintian-brush (0.45) unstable; urgency=medium

  * Improve plural vs singular in commit messages and changelog
    messages.
  * Support whitespace before conditionals in makefiles.
  * Support options in debian/patches/series.
  * Drop the empty-debian-patches-series file, which has proved
    controversial.
  * Double-check bug numbers when adding missing colons in closes:
    stanzas. Closes: #946338
  * Don't update changelog if there are only gbp-dch entries in the
    current changelog entry. Closes: #946339
  * Fixup outdated freedesktop.org repository URLs.
  * Use canonical and secure repository URIs in
    debian/upstream/metadata.
  * Downgrade certainty of e-mail addresses in configure-reported bug
    submit addresses.
  * Fix reporting of fixed tag out-of-date-copyright-format-uri. Thanks,
    Mattia Rizzolo.
  * When vcswatch only has an updated Vcs-Git URL but not a Vcs-Browser
    field, automatically attempt to determine Vcs-Browser URL.
  * Don't update URLs in comments in watch files. Closes: #946254

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 08 Dec 2019 14:18:27 +0000
